unit patternfunction;

{$mode objfpc}{$calling stdcall}

interface

type
  TParam = array [0..2] of double; // parameters influencing pattern shape

function pf(x: double; var par: TParam): double; inline;

implementation

{ This is the pattern function that describes the
shape of the pf we want to scan for. Values for
x range from 0..100, (backwards, 0 meaning the current
bar). The function return value has no restriction
for its range, it will be scaled automatically.
the values in the par array are meant to make the
pattern shape adjustable}
function pf(x: double; var par: TParam): double; inline;
begin
  Result := (sqrt(abs(x - par[0])));
end;

end.

